summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'libraries')
-rw-r--r--libraries/tcllib/README5
-rw-r--r--libraries/tcllib/slack-desc19
-rw-r--r--libraries/tcllib/tcllib.SlackBuild69
-rw-r--r--libraries/tcllib/tcllib.info8
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/tcllib/README b/libraries/tcllib/README
new file mode 100644
index 0000000000..20b36c1ef9
--- /dev/null
+++ b/libraries/tcllib/README
@@ -0,0 +1,5 @@
+Tcllib is a collection of utility modules for Tcl. These modules
+provide a wide variety of functionality, from implementations of
+standard data structures to implementations of common networking
+protocols. The intent is to collect commonly used function into a
+single library, which users can rely on to be available and stable.
diff --git a/libraries/tcllib/slack-desc b/libraries/tcllib/slack-desc
new file mode 100644
index 0000000000..19859b5970
--- /dev/null
+++ b/libraries/tcllib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tcllib: tcllib (utility modules for Tcl)
+tcllib:
+tcllib: Tcllib is a collection of utility modules for Tcl. These modules
+tcllib: provide a wide variety of functionality, from implementations of
+tcllib: standard data structures to implementations of common networking
+tcllib: protocols. The intent is to collect commonly used function into a
+tcllib: single library, which users can rely on to be available and stable.
+tcllib:
+tcllib: Homepage: http://www.tcl.tk/software/tcllib/
+tcllib:
+tcllib:
diff --git a/libraries/tcllib/tcllib.SlackBuild b/libraries/tcllib/tcllib.SlackBuild
new file mode 100644
index 0000000000..bb1f2cea9a
--- /dev/null
+++ b/libraries/tcllib/tcllib.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for tcllib
+
+# Written by Paul Wisehart wise@lupulin.net
+
+PRGNAM=tcllib
+VERSION=1.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog DESCRIPTION.txt README INSTALL.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/tcllib/tcllib.info b/libraries/tcllib/tcllib.info
new file mode 100644
index 0000000000..f1eda0439a
--- /dev/null
+++ b/libraries/tcllib/tcllib.info
@@ -0,0 +1,8 @@
+PRGNAM="tcllib"
+VERSION="1.10"
+HOMEPAGE="http://www.tcl.tk/software/tcllib/"
+DOWNLOAD="http://download.sourceforge.net/tcllib/tcllib-1.10.tar.gz"
+MD5SUM="5dd5e5db04a1c39b7e2d25c0614f5dcb"
+MAINTAINER="Paul Wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="rworkman"